
#include <stdio.h>
#include "AspriseOCR.h"


/**
 * Returns the path of the image file to be OCRed. 
 */
char * getInputFile(int argc, char* argv[]);


/**
 * Program entry point.
 */
int main(int argc, char* argv[])
{
	char *text = ""; // used to point to the OCR text recognized.


	/*--------------------------------------------------------------------
	| Gets the path of the image file to be OCRed. 
	\--------------------------------------------------------------------*/

	char *input = getInputFile(argc, argc);


	printf("\r\n------------------- A S P R I S E   O C R ------------------- \r\n"); 
	printf("Input file: %s\r\n\r\n", input);


	/*--------------------------------------------------------------------
	| Performs the actual OCR. 
	| The image path is specified in the first argument of the OCR func.
	| The second argument is the type of the image.  All supported types 
	| are defined in 'AspriseOCR.h'. Use IMAGE_TYPE_AUTO_DETECT to let
	| the system to detect the image type automatically. 
	\--------------------------------------------------------------------*/

	text = OCR(input, IMAGE_TYPE_AUTO_DETECT);
	

	/*--------------------------------------------------------------------
	| Prints out the OCR results. 
	\--------------------------------------------------------------------*/

	printf(text);

	printf("\r\n\r\n\r\n\r\nPress the ENTER key to exit ...");
	getchar();
	return 0;
}



char * getInputFile(int argc, char* argv[]) {
	char* file;

	if(argc == 2) // if the user specifies a file as the argument, use it. 
		return argv[1];

	// otherwise, ask the user to input a file path.

	file = (char *)calloc(sizeof(char), 200); // maximum 200 characters. 

	printf("> Please enter the path of the image file to be OCRed: ");
	scanf("%s", file);
	getchar(); // consumes the ENTER key.

	return file;
}